For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
    • POSTGets USDC/SBC/EuroE on testnets
      • POSTAdd Interac Account
      • POSTCreate Bank Account
      • POSTCreate Bank Account (v2)
      • POSTCreate Debit Card
      • POSTCreate Iban Account
      • POSTCreate Pix Account
      • POSTCreate Transactions
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Card
      • DELDelete Withdrawer EFT Account
      • DELDelete Withdrawer Iban Account
      • DELDelete Withdrawer Pix Account
      • GETGet Balances
      • POSTGet Message (EVM USDC/SBC/EuroE only)
      • GETGet Quote
      • GETGet Quote Exact Out
      • GETGet Withdrawer
      • GETGet Withdrawer History
      • POSTLink Paypal Account
      • POSTLink Venmo Account
      • POSTRegister Business
      • POSTRegister User
      • POSTRegister User Via Attested KYC
      • POSTRegister User Via Document
      • POSTRegister User Via Share Token
      • POSTSend Gasless Withdraw Transaction (EVM USDC/SBC/EuroE only)
      • POSTValidate KYC Information
LogoLogo
RegisterLoginSandbox Login
API ReferenceWithdraw

Get Quote

GET
https://api-sandbox.coinflow.cash/api/withdraw/quote
GET
/api/withdraw/quote
$curl -G https://api-sandbox.coinflow.cash/api/withdraw/quote \
> -H "x-coinflow-auth-wallet: <apiKey>" \
> -H "Content-Type: application/json" \
> -d token=token \
> -d amount=1.1 \
> -d merchantId=merchantId
200Retrieved
1{
2 "asap": {
3 "fee": {
4 "cents": 250,
5 "currency": "USD"
6 },
7 "limit": {
8 "cents": 500000,
9 "currency": "USD"
10 },
11 "finalSettlement": {
12 "cents": 50250,
13 "currency": "USD"
14 },
15 "expectedDeliveryDate": "Today by 5 PM",
16 "expectedDeliveryDateISO": "2024-06-15T17:00:00Z",
17 "customFee": {
18 "cents": 150,
19 "currency": "USD",
20 "label": "Express processing fee"
21 }
22 },
23 "same_day": {
24 "fee": {
25 "cents": 150,
26 "currency": "USD"
27 },
28 "limit": {
29 "cents": 1000000,
30 "currency": "USD"
31 },
32 "finalSettlement": {
33 "cents": 50150,
34 "currency": "USD"
35 },
36 "expectedDeliveryDate": "Today by 11:59 PM",
37 "expectedDeliveryDateISO": "2024-06-15T23:59:59Z",
38 "customFee": {
39 "cents": 100,
40 "currency": "USD",
41 "label": "Same day service fee"
42 }
43 },
44 "standard": {
45 "fee": {
46 "cents": 50,
47 "currency": "USD"
48 },
49 "limit": {
50 "cents": 2000000,
51 "currency": "USD"
52 },
53 "finalSettlement": {
54 "cents": 50050,
55 "currency": "USD"
56 },
57 "expectedDeliveryDate": "In 3 business days",
58 "expectedDeliveryDateISO": "2024-06-18T17:00:00Z",
59 "customFee": {
60 "cents": 0,
61 "currency": "USD",
62 "label": "Standard withdrawal fee"
63 }
64 },
65 "card": {
66 "fee": {
67 "cents": 300,
68 "currency": "USD"
69 },
70 "limit": {
71 "cents": 100000,
72 "currency": "USD"
73 },
74 "finalSettlement": {
75 "cents": 50300,
76 "currency": "USD"
77 },
78 "expectedDeliveryDate": "Instant",
79 "expectedDeliveryDateISO": "2024-06-15T12:00:00Z",
80 "customFee": {
81 "cents": 200,
82 "currency": "USD",
83 "label": "Card processing fee"
84 }
85 },
86 "iban": {
87 "fee": {
88 "cents": 100,
89 "currency": "USD"
90 },
91 "limit": {
92 "cents": 1500000,
93 "currency": "USD"
94 },
95 "finalSettlement": {
96 "cents": 50100,
97 "currency": "USD"
98 },
99 "expectedDeliveryDate": "In 2 business days",
100 "expectedDeliveryDateISO": "2024-06-17T17:00:00Z",
101 "customFee": {
102 "cents": 50,
103 "currency": "USD",
104 "label": "IBAN transfer fee"
105 }
106 },
107 "pix": {
108 "fee": {
109 "cents": 20,
110 "currency": "USD"
111 },
112 "limit": {
113 "cents": 50000,
114 "currency": "USD"
115 },
116 "finalSettlement": {
117 "cents": 50020,
118 "currency": "USD"
119 },
120 "expectedDeliveryDate": "Instant",
121 "expectedDeliveryDateISO": "2024-06-15T12:00:00Z",
122 "customFee": {
123 "cents": 10,
124 "currency": "USD",
125 "label": "PIX network fee"
126 }
127 },
128 "eft": {
129 "fee": {
130 "cents": 75,
131 "currency": "USD"
132 },
133 "limit": {
134 "cents": 750000,
135 "currency": "USD"
136 },
137 "finalSettlement": {
138 "cents": 50075,
139 "currency": "USD"
140 },
141 "expectedDeliveryDate": "Next business day",
142 "expectedDeliveryDateISO": "2024-06-16T17:00:00Z",
143 "customFee": {
144 "cents": 25,
145 "currency": "USD",
146 "label": "EFT processing fee"
147 }
148 },
149 "venmo": {
150 "fee": {
151 "cents": 150,
152 "currency": "USD"
153 },
154 "limit": {
155 "cents": 200000,
156 "currency": "USD"
157 },
158 "finalSettlement": {
159 "cents": 50150,
160 "currency": "USD"
161 },
162 "expectedDeliveryDate": "Instant",
163 "expectedDeliveryDateISO": "2024-06-15T12:00:00Z",
164 "customFee": {
165 "cents": 100,
166 "currency": "USD",
167 "label": "Venmo transfer fee"
168 }
169 },
170 "paypal": {
171 "fee": {
172 "cents": 200,
173 "currency": "USD"
174 },
175 "limit": {
176 "cents": 300000,
177 "currency": "USD"
178 },
179 "finalSettlement": {
180 "cents": 50200,
181 "currency": "USD"
182 },
183 "expectedDeliveryDate": "Instant",
184 "expectedDeliveryDateISO": "2024-06-15T12:00:00Z",
185 "customFee": {
186 "cents": 150,
187 "currency": "USD",
188 "label": "PayPal processing fee"
189 }
190 },
191 "wire": {
192 "fee": {
193 "cents": 500,
194 "currency": "USD"
195 },
196 "limit": {
197 "cents": 5000000,
198 "currency": "USD"
199 },
200 "finalSettlement": {
201 "cents": 50500,
202 "currency": "USD"
203 },
204 "expectedDeliveryDate": "In 1-2 business days",
205 "expectedDeliveryDateISO": "2024-06-16T17:00:00Z",
206 "customFee": {
207 "cents": 300,
208 "currency": "USD",
209 "label": "Wire transfer fee"
210 }
211 },
212 "interac": {
213 "fee": {
214 "cents": 125,
215 "currency": "USD"
216 },
217 "limit": {
218 "cents": 100000,
219 "currency": "USD"
220 },
221 "finalSettlement": {
222 "cents": 50125,
223 "currency": "USD"
224 },
225 "expectedDeliveryDate": "Same day",
226 "expectedDeliveryDateISO": "2024-06-15T20:00:00Z",
227 "customFee": {
228 "cents": 75,
229 "currency": "USD",
230 "label": "Interac e-Transfer fee"
231 }
232 },
233 "quote": {
234 "cents": 50000,
235 "currency": "USD"
236 },
237 "gasFees": {
238 "gasFees": {
239 "cents": 300,
240 "currency": "USD"
241 },
242 "gasFeesWei": "1500000000000000000"
243 },
244 "swapFees": {
245 "cents": 450,
246 "currency": "USD"
247 }
248}
Gets a quote in USD cents for a particular token and amount.
Was this page helpful?
Previous

Get Quote Exact Out

Next
Built with

Authentication

x-coinflow-auth-walletstring
The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-blockchainstring
The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-merchant-idstring
The merchant ID the session should be generated for
OR
x-coinflow-auth-user-idstring
The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-blockchainstring
The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
Authorizationstring
The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
OR
x-coinflow-auth-session-keystring
The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Query parameters

tokenstringRequired
- The token address or contract of the token which the user is withdrawing.
amountdoubleRequired
- The amount of that token which the user is withdrawing.
merchantIdstringRequired
  • The merchant that this quote is for.
usePermitbooleanOptionalDefaults to true
- [EVM only] whether the user's wallet supports signing permit messages.
accountTokenstringOptional
  • The token of the account to use

Response

Ok
asapobject
Represents the fees and limits associated with a withdrawal quote.
same_dayobject
Represents the fees and limits associated with a withdrawal quote.
standardobject
Represents the fees and limits associated with a withdrawal quote.
cardobject
Represents the fees and limits associated with a withdrawal quote.
ibanobject
Represents the fees and limits associated with a withdrawal quote.
pixobject
Represents the fees and limits associated with a withdrawal quote.
eftobject
Represents the fees and limits associated with a withdrawal quote.
venmoobject
Represents the fees and limits associated with a withdrawal quote.
paypalobject
Represents the fees and limits associated with a withdrawal quote.
wireobject
Represents the fees and limits associated with a withdrawal quote.
interacobject
Represents the fees and limits associated with a withdrawal quote.
quoteobject
gasFeesobject
Represents an estimate of gas fees for a transaction.
swapFeesobject

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

  • The token address or contract of the token which the user is withdrawing.
  • The amount of that token which the user is withdrawing.
  • [EVM only] whether the user’s wallet supports signing permit messages.